php update to 7.2 - mcrypt not updated

Forum for you who has PHP installation issues

Moderators: egami, macek, gesf

Post Reply
swellhead
New php-forum User
New php-forum User
Posts: 2
Joined: Wed Jan 24, 2018 12:57 am

Wed Jan 24, 2018 1:08 am

Hello -

I run Ubuntu 16.04.3 with latest updates/upgrades installed
with th recent php update to 1:7.2+59+ubuntu16.04.1+deb.sury.org.1)) - there is one update that hangs in queue - the php-mcrypt package. My package manager says 1 update pending - when I start "sudo apt upgrade" it is not shown.When I use the command "apt list --upgradeable -a" it shows the following information.

php-mcrypt/xenial,xenial 1:7.2+58+ubuntu16.04.1+deb.sury.org+1 all [aktualisierbar von: 1:7.1+55+ubuntu16.04.1+deb.sury.org+1]
php-mcrypt/now 1:7.1+55+ubuntu16.04.1+deb.sury.org+1 all [Installiert,aktualisierbar auf: 1:7.2+58+ubuntu16.04.1+deb.sury.org+1]
php-mcrypt/xenial,xenial 1:7.0+35ubuntu6 all

can anybody help me to fix my php environment?
many thanks

User avatar
hyper
php-forum Fan User
php-forum Fan User
Posts: 719
Joined: Mon Feb 22, 2016 5:52 pm

Wed Jan 24, 2018 10:11 am

Have you checked if there are any problems with your PPA?

swellhead
New php-forum User
New php-forum User
Posts: 2
Joined: Wed Jan 24, 2018 12:57 am

Thu Jan 25, 2018 3:09 am

How would I know - I receive the php package and updates from http://ppa.launchpad.net/ondrej/php/ubuntu/

- I searched for mcrypt.ini on my computer and found several
file:///etc/php/7.0/apache2/conf.d/20-mcrypt.ini
file:///etc/php/7.0/cli/conf.d/20-mcrypt.ini
file:///etc/php/7.0/mods-available/mcrypt.ini
file:///etc/php/7.1/apache2/conf.d/20-mcrypt.ini
file:///etc/php/7.1/cli/conf.d/20-mcrypt.ini
file:///etc/php/7.1/mods-available/mcrypt.ini
file:///usr/share/php7.0-mcrypt/mcrypt/mcrypt.ini
file:///usr/share/php7.1-mcrypt/mcrypt/mcrypt.ini
file:///var/lib/ucf/cache/:etc:php:7.0:mods-available:mcrypt.ini
file:///var/lib/ucf/cache/:etc:php:7.1:mods-available:mcrypt.ini
Nothing for php version 7.2
Does this look normal?

User avatar
hyper
php-forum Fan User
php-forum Fan User
Posts: 719
Joined: Mon Feb 22, 2016 5:52 pm

Thu Jan 25, 2018 10:36 am

This is a PHP forum, what you are trying to do is related to Ubuntu and a PPA.

Ubuntu 16.04 doesn't currently support PHP 7.2 in its repositories (standard software which is supported for updates) that is what trusted PPAs are for.

In this case the PPA you have may not have thoroughly tested mcrypt on PHP version 7.2, so you have a choice of doing it for yourself, searching for a solution or using PHP version 7.1.

Post Reply